/* Importing Bootstrap SCSS file. */
@import '~bootstrap/scss/bootstrap';

:root {
  --primary-color-a: #89CF6B;
  --primary-color-b: #69C2E8;
  --primary-font-color: #ffffff;
  --primary-border-color: #CCCCCC;
  --secondary-border-color: #ffffff;
}

html,
body {
  width: 100vw;
  height: 100vh;
}

body {
  color: #ffffff;
  font-size: 16px;
  background: var(--primary-color-a);
  background: -moz-linear-gradient(top, var(--primary-color-a) 0%, var(--primary-color-b) 100%) fixed;
  background: -webkit-gradient(left top, left bottom, color-stop(0%, var(--primary-color-a)), color-stop(100%, var(--primary-color-b))) fixed;
  background: -webkit-linear-gradient(top, var(--primary-color-a) 0%, var(--primary-color-b) 100%) fixed;
  background: -o-linear-gradient(top, var(--primary-color-a) 0%, var(--primary-color-b) 100%) fixed;
  background: -ms-linear-gradient(top, var(--primary-color-a) 0%, var(--primary-color-b) 100%) fixed;
  background: linear-gradient(to bottom, var(--primary-color-a) 0%, var(--primary-color-b) 100%) fixed;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#89cf6b', endColorstr='#69c2e8', GradientType=0);
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.btn {
  font-size: 14px;
}

.btn-dark {
  color: #fff;
  background-color: #1D1D1D;
  border-color: #1D1D1D;
}

.form-control {
  font-size: 14px;

  &::-webkit-input-placeholder {
    color: var(--primary-border-color);
    font-size: 14px;
  }

  &:-moz-placeholder {
    /* Firefox 18- */
    color: var(--primary-border-color);
    font-size: 14px;
  }

  &::-moz-placeholder {
    /* Firefox 19+ */
    color: var(--primary-border-color);
    font-size: 14px;
  }

  &:-ms-input-placeholder {
    /* IE 10+ */
    color: var(--primary-border-color);
    font-size: 14px;
  }

  &::-ms-input-placeholder {
    /* Edge */
    color: var(--primary-border-color);
    font-size: 14px;
  }

  &:placeholder-shown {
    /* Standard one last! */
    color: var(--primary-border-color);
    font-size: 14px;
  }
}

